Subject: Re: xemacs link problem
From: "Guansong Zhang" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 8 Sep 2000 13:02:46 -0400

Thnaks for the quick response.

I am not sure, how should I check?

I don't know about db package, and I don't find it at all, I mean / do this

find -name db\*

I got
/usr/i686-pc-cygwin/include/dbt.h
/usr/include/dbm.h
/usr/include/dbt.h
/usr/local/lib/xemacs/xemacs-packages/lisp/debug/dbx.el
/usr/local/lib/xemacs/xemacs-packages/lisp/debug/dbx.elc

I don't see the package in cygwin download dir either. Besides, why I don't
need this previously, I mean in 1.1.2?

Thanks

Guansong

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "Guansong Zhang" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, September 08, 2000 12:47 PM
Subject: Re: xemacs link problem

> This looks like a missing library problem, or something similar.  Do you
> have the 'db' package installed? If so, which version, and from which
> source? The one from cygutils, or Michael Ring's version, or
> self-compiled?  My suspicion is that you have both the cygutils static
> db-2.77 library installed in /usr/local/, and Michael Ring's dll version
> of db-3.1.17 installed in /usr/.  xemacs seems to be picking up the
> dll's .h headers, but linking to the static version's library.
>
> --Chuck
>
>
> Guansong Zhang wrote:
> >
> > I got the following error message when I compile both xemacs-21.2.10 and
12.
> >
> > /packages/xemacs-21.1.12/src/database.c:263: undefined reference to
> > `_imp__dbm_f
> > irstkey'
> > /packages/xemacs-21.1.12/src/database.c:267: undefined reference to
> > `_imp__dbm_f
> > etch'
> > /packages/xemacs-21.1.12/src/database.c:265: undefined reference to
> > `_imp__dbm_n
> > extkey'
> > database.o: In function `dbm_get':
> >
> > This is on NT with cygwin 1.1.4, I don't have this problem with 1.1.2
> >
> > Thanks,
> >
> > Guansong
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]